#include <bits/stdc++.h>

using namespace std;

const int MAXn = 100005;

int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin >> n;
    int x[MAXn]={0},y[MAXn]={0},z[MAXn]={0};
    for(int i=1; i<=n; i++){
        int m;
        cin >> m;
        x[m]++;
    }
    for(int i=1; i<=n; i++)
        cin >> y[i];
    for(int i=1; i<=n; i++){
        int m;
        cin >> m;
        z[m]++;
    }
    long long zbir=0;
    for(int i=1; i<=n; i++){
        zbir += (long long)z[i]*x[y[i]];
    }
    cout << zbir << endl;
}